import { world } from '@minecraft/server';

//BONE SCULK
//Bone Sculk Catalyst
world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('warden_evo:bs_catalyst_c_on_tick', {
        onTick: e => {
            const { block } = e;
            block.setType('warden_evo:bone_sculk_catalyst_inactive');
        }
    });
});

//Bone Sculk Shrieker
world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('warden_evo:bs_shrieker_c_on_tick', {
        onTick: e => {
            const { block } = e;
            block.setType('warden_evo:bone_sculk_shrieker_inactive');
        }
    });
});

//Bone Sculk Sensor
world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('warden_evo:bs_sensor_c_on_tick', {
        onTick: e => {
            const { block } = e;
            block.setType('warden_evo:bone_sculk_sensor_inactive');
            block.dimension.playSound('power.off.sculk_sensor', block.location)
        }
    });
});

//DARK SCULK
//Dark Sculk Catalyst
world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('warden_evo:ds_catalyst_c_on_tick', {
        onTick: e => {
            const { block } = e;
            block.setType('warden_evo:dark_sculk_catalyst_inactive');
        }
    });
});

//Dark Sculk Shrieker
world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('warden_evo:ds_shrieker_c_on_tick', {
        onTick: e => {
            const { block } = e;
            block.setType('warden_evo:dark_sculk_shrieker_inactive');
        }
    });
});

//Dark Sculk Sensor
world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('warden_evo:ds_sensor_c_on_tick', {
        onTick: e => {
            const { block } = e;
            block.setType('warden_evo:dark_sculk_sensor_inactive');
            block.dimension.playSound('power.off.sculk_sensor', block.location)
        }
    });
});

//HOLLOW SCULK
//Hollow Sculk Catalyst
world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('warden_evo:hs_catalyst_c_on_tick', {
        onTick: e => {
            const { block } = e;
            block.setType('warden_evo:hollow_sculk_catalyst_inactive');
        }
    });
});

//Hollow Sculk Shrieker
world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('warden_evo:hs_shrieker_c_on_tick', {
        onTick: e => {
            const { block } = e;
            block.setType('warden_evo:hollow_sculk_shrieker_inactive');
        }
    });
});

//Hollow Sculk Sensor
world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('warden_evo:hs_sensor_c_on_tick', {
        onTick: e => {
            const { block } = e;
            block.setType('warden_evo:hollow_sculk_sensor_inactive');
            block.dimension.playSound('power.off.sculk_sensor', block.location)
        }
    });
});